> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# CancelAutoDeposit

> CancelAutoDeposit is called by the bidder node to cancel the auto deposit. The bidder can specify if it
wants to withdraw the deposit from the current deposited windows. If the withdraw flag is set to true, the API will
wait till we can withdraw the deposit from the latest deposited window.



## OpenAPI

````yaml /v1.1.0/api-reference/bidder-openapi-spec.json post /v1/bidder/cancel_auto_deposit
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.1.6-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/cancel_auto_deposit:
    post:
      summary: CancelAutoDeposit
      description: >-
        CancelAutoDeposit is called by the bidder node to cancel the auto
        deposit. The bidder can specify if it

        wants to withdraw the deposit from the current deposited windows. If the
        withdraw flag is set to true, the API will

        wait till we can withdraw the deposit from the latest deposited window.
      operationId: Bidder_CancelAutoDeposit
      parameters:
        - name: withdraw
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CancelAutoDepositResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1CancelAutoDepositResponse:
      type: object
      example:
        window_numbers:
          - 1
          - 2
          - 3
      properties:
        windowNumbers:
          type: array
          items:
            type: string
            format: uint64
      description: CancelAutoDeposit deposit from the bidder registry.
      title: CancelAutoDeposit response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````